<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:22:31 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PortMapUtil (org.eclipse.papyrus.designer.components.fcm.profile 0.7.5-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PortMapUtil (org.eclipse.papyrus.designer.components.fcm.profile 0.7.5-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PortMapUtil.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/ITemplateMappingRule.html" title="interface in org.eclipse.papyrus.designer.components.FCM.profile"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html" target="_top">Frames</a></li>
<li><a href="PortMapUtil.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.components.FCM.profile</div>
<h2 title="Class PortMapUtil" class="title">Class PortMapUtil</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.components.FCM.profile.PortMapUtil</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">PortMapUtil</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">This class is responsible for creating derived types associated with ports. The derived
 type is the class that will type the port and contain imported and used interfaces depending
 on the FCM type and kind.
 A particular question related to the derived types is into which package we can place them
 within the type hierarchy:
 (1) Of course, the package must be writable. That means, it must not belong to an imported library.
 (2) The source type must be clearly identifiable.
 (3) If a template get's instantiated, derived types within (if we place them there) might
 need (re-) instantiation. Imagine AMI_ interface that contains some of I's method. The creation of an AMI_I type within the template
 
 Therefore, a global "derived types" package is created within the model that owns the port. This
 package contains the full folder hierarchy of the original type and places the elements there.
 TODO: Align with package template instantiation => create type specific sub-folder, e.g. kind_type. Use package specific side-folders.
 Need specific solution for elements within template (placing into same template is finally not a good idea).
 Idea of package template (and the possibility to extend) was, that common elements are instantiated once. Thus, we will have interfaceBased_<intfName>/UseInterface/Use.cpp,
 not UseInterface_<intfName>/Use.cpp
 [Users choice to define template with additional package or not?]</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#MAPPING_RULE_ID">MAPPING_RULE_ID</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#rootModelName">rootModelName</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#PortMapUtil--">PortMapUtil</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html" title="interface in org.eclipse.papyrus.designer.components.FCM">PortKind</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getBoundType-org.eclipse.papyrus.designer.components.FCM.Port-">getBoundType</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getDerivedClass-org.eclipse.papyrus.designer.components.FCM.Port-java.lang.String-">getDerivedClass</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port,
               <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</code>
<div class="block">Get or create a derived interface for a port using a fixed prefix
 type name</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getDerivedClass-org.eclipse.papyrus.designer.components.FCM.Port-java.lang.String-boolean-">getDerivedClass</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port,
               <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix,
               boolean&nbsp;update)</code>
<div class="block">Get or create a derived interface for a port using a fixed prefix
 type name</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Interface</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getDerivedInterface-org.eclipse.papyrus.designer.components.FCM.Port-java.lang.String-">getDerivedInterface</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port,
                   <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</code>
<div class="block">Get a derived interface of a port.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Interface</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getDerivedInterface-org.eclipse.papyrus.designer.components.FCM.Port-java.lang.String-boolean-">getDerivedInterface</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port,
                   <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix,
                   boolean&nbsp;update)</code>
<div class="block">Get or create a derived interface for a port using a fixed prefix
 type name</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Type</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getDerivedType-org.eclipse.papyrus.designer.components.FCM.Port-">getDerivedType</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</code>
<div class="block">b
 Calculate derived required interface in function of port type and kind</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html" title="interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getMappingRule-org.eclipse.papyrus.designer.components.FCM.Port-">getMappingRule</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</code>
<div class="block">Get the mapping rule for a port</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html" title="interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getMappingRule-java.lang.String-">getMappingRule</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;portKindName)</code>
<div class="block">Obtain the mapping rule for a port when the name of the portKind is given</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getOrCreateDerivedClass-org.eclipse.papyrus.designer.components.FCM.Port-java.lang.String-">getOrCreateDerivedClass</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port,
                       <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</code>
<div class="block">Get or create a derived interface for a port using a fixed prefix
 type name</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Interface</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#getOrCreateDerivedInterface-org.eclipse.papyrus.designer.components.FCM.Port-java.lang.String-">getOrCreateDerivedInterface</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port,
                           <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</code>
<div class="block">Get or create a derived interface for a port using a fixed prefix
 type name</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#needsUpdate-org.eclipse.papyrus.designer.components.FCM.Port-">needsUpdate</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</code>
<div class="block">Check whether a port needs to be updated, since its derived interfaces
 are either not existing or out of date.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html#update-org.eclipse.papyrus.designer.components.FCM.Port-">update</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</code>
<div class="block">Update the derived interfaces of a port this operation needs to be
 called in the context of an update command (transaction).</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="rootModelName">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rootModelName</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> rootModelName</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.components.FCM.profile.PortMapUtil.rootModelName">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="MAPPING_RULE_ID">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MAPPING_RULE_ID</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> MAPPING_RULE_ID</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.components.FCM.profile.PortMapUtil.MAPPING_RULE_ID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PortMapUtil--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PortMapUtil</h4>
<pre>public&nbsp;PortMapUtil()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDerivedClass-org.eclipse.papyrus.designer.components.FCM.Port-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDerivedClass</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Class&nbsp;getDerivedClass(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port,
                                                         <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</pre>
<div class="block">Get or create a derived interface for a port using a fixed prefix
 type name</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>port</code> - The port</dd>
<dd><code>prefix</code> - prefix string</dd>
<dd><code>type</code> - type name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the derived interface or null (if it cannot be created)</dd>
</dl>
</li>
</ul>
<a name="getDerivedClass-org.eclipse.papyrus.designer.components.FCM.Port-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDerivedClass</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Class&nbsp;getDerivedClass(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port,
                                                         <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix,
                                                         boolean&nbsp;update)</pre>
<div class="block">Get or create a derived interface for a port using a fixed prefix
 type name</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>port</code> - The port</dd>
<dd><code>prefix</code> - prefix string</dd>
<dd><code>type</code> - type name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the derived interface or null (if it cannot be created)</dd>
</dl>
</li>
</ul>
<a name="getDerivedInterface-org.eclipse.papyrus.designer.components.FCM.Port-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDerivedInterface</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Interface&nbsp;getDerivedInterface(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port,
                                                                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</pre>
<div class="block">Get a derived interface of a port. The interface is searched within the derived types
 folder based on the passed prefix</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>port</code> - The port</dd>
<dd><code>prefix</code> - prefix string</dd>
<dd><code>type</code> - FCM port type</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the derived interface or null (if it cannot be created)</dd>
</dl>
</li>
</ul>
<a name="getDerivedInterface-org.eclipse.papyrus.designer.components.FCM.Port-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDerivedInterface</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Interface&nbsp;getDerivedInterface(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port,
                                                                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix,
                                                                 boolean&nbsp;update)</pre>
<div class="block">Get or create a derived interface for a port using a fixed prefix
 type name</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>port</code> - The port</dd>
<dd><code>prefix</code> - prefix string</dd>
<dd><code>type</code> - type name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the derived interface or null (if it cannot be created)</dd>
</dl>
</li>
</ul>
<a name="getOrCreateDerivedClass-org.eclipse.papyrus.designer.components.FCM.Port-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrCreateDerivedClass</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Class&nbsp;getOrCreateDerivedClass(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port,
                                                                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</pre>
<div class="block">Get or create a derived interface for a port using a fixed prefix
 type name</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>port</code> - The port</dd>
<dd><code>prefix</code> - prefix string</dd>
<dd><code>type</code> - type name</dd>
<dd><code>createKind</code> - if non NONE, create either an interfaces or a class, if it does not exist yet</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the derived interface or null (if it cannot be created)</dd>
</dl>
</li>
</ul>
<a name="getOrCreateDerivedInterface-org.eclipse.papyrus.designer.components.FCM.Port-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrCreateDerivedInterface</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Interface&nbsp;getOrCreateDerivedInterface(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port,
                                                                         <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</pre>
<div class="block">Get or create a derived interface for a port using a fixed prefix
 type name</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>port</code> - The port</dd>
<dd><code>prefix</code> - prefix string</dd>
<dd><code>type</code> - type name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the derived interface or null (if it cannot be created)</dd>
</dl>
</li>
</ul>
<a name="getDerivedType-org.eclipse.papyrus.designer.components.FCM.Port-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDerivedType</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Type&nbsp;getDerivedType(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</pre>
<div class="block">b
 Calculate derived required interface in function of port type and kind</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>port</code> - the port, for which the calculation should be done</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getMappingRule-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMappingRule</h4>
<pre>public static&nbsp;<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html" title="interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a>&nbsp;getMappingRule(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;portKindName)</pre>
<div class="block">Obtain the mapping rule for a port when the name of the portKind is given</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>portKindName</code> - the name of the port-kind</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the mapping rule or null, if no rule could be found</dd>
</dl>
</li>
</ul>
<a name="getMappingRule-org.eclipse.papyrus.designer.components.FCM.Port-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMappingRule</h4>
<pre>public static&nbsp;<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html" title="interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a>&nbsp;getMappingRule(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</pre>
<div class="block">Get the mapping rule for a port</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>port</code> - the FCM port</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the mapping rule or null, if no rule could be found</dd>
</dl>
</li>
</ul>
<a name="getBoundType-org.eclipse.papyrus.designer.components.FCM.Port-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundType</h4>
<pre>public static&nbsp;<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html" title="interface in org.eclipse.papyrus.designer.components.FCM">PortKind</a>&nbsp;getBoundType(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</pre>
</li>
</ul>
<a name="update-org.eclipse.papyrus.designer.components.FCM.Port-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre>public static&nbsp;void&nbsp;update(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</pre>
<div class="block">Update the derived interfaces of a port this operation needs to be
 called in the context of an update command (transaction).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>port</code> - </dd>
</dl>
</li>
</ul>
<a name="needsUpdate-org.eclipse.papyrus.designer.components.FCM.Port-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>needsUpdate</h4>
<pre>public static&nbsp;boolean&nbsp;needsUpdate(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</pre>
<div class="block">Check whether a port needs to be updated, since its derived interfaces
 are either not existing or out of date.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>port</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PortMapUtil.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/ITemplateMappingRule.html" title="interface in org.eclipse.papyrus.designer.components.FCM.profile"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html" target="_top">Frames</a></li>
<li><a href="PortMapUtil.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
